Bug 1020467 - Review Request: python-scss - A Scss compiler for Python
Review Request: python-scss - A Scss compiler for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 13:49 EDT by Patrick Uiterwijk
Modified: 2014-01-10 03:01 EST (History)
3 users (show)

See Also:
Fixed In Version: python-scss-1.2.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 02:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2013-10-17 13:49:11 EDT
Spec URL: http://puiterwijk.fedorapeople.org//python-scss.spec
SRPM URL: http://puiterwijk.fedorapeople.org//python-scss-1.2.0-1.fc19.src.rpm

Description:
A Scss compiler for Python
Comment 1 Patrick Uiterwijk 2013-10-17 13:49:53 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6071309
Comment 3 Patrick Uiterwijk 2013-10-18 11:45:23 EDT
The shebang-lines patch has been merged upstream, but there has not yet been a new upstream release.
Comment 4 Paul Wouters 2013-10-18 15:04:54 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Missing BuildRequires: pcre-devel
- Source cannot be called "v1.2.0.tar.gz", please rename
- (lack of {?_smp_mflags} is fine, only for doc built)
- cp command in %install is missing -a option to preserve timestamp

Note there are two warnings that might need looking into:

scss/src/scanner.c: In function 'Pattern_setup':
scss/src/scanner.c:112:11: warning: variable 'regex' set but not used [-Wunused-but-set-variable]
  Pattern *regex;
           ^
scss/src/scanner.c: In function 'Scanner_token':
scss/src/scanner.c:416:11: warning: variable 'regex' set but not used [-Wunused-but-set-variable]
  Pattern *regex;
           ^

===== MUST items =====
===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 45 files have unknown
     license. Detailed output of licensecheck in /vol/home/paul/1020467
     -python-scss/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[?]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep
===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-scss-1.2.0-1.fc21.x86_64.rpm
          python-scss-1.2.0-1.fc21.src.rpm
python-scss.x86_64: E: no-binary
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-scss
python-scss.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-scss (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python
    python(abi)
    python-six



Provides
--------
python-scss:
    python-scss
    python-scss(x86-64)

Source checksums
----------------
https://github.com/Kronuz/pyScss/archive/v1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 54f529f0dbecc82c4ce81531f6d8c3b804d0ffaf50574420cbd9ff19f69653a2
  CHECKSUM(SHA256) upstream package : 54f529f0dbecc82c4ce81531f6d8c3b804d0ffaf50574420cbd9ff19f69653a2


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1020467
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 5 Patrick Uiterwijk 2013-11-06 13:45:46 EST
- Buildrequire set to python2-devel
- Added buildrequire pcre-devel
- Changed URL to Source
- Added -a to cp to retain timestamp


Spec URL: http://puiterwijk.fedorapeople.org//python-scss.spec
SRPM URL: http://puiterwijk.fedorapeople.org//python-scss-1.2.0-2.fc19.src.rpm
Comment 6 Paul Wouters 2013-12-04 01:21:58 EST
Looks good now. APPROVED
Comment 7 Patrick Uiterwijk 2013-12-04 02:37:58 EST
New Package SCM Request
=======================
Package Name: python-scss
Short Description: A Scss compiler for Python
Owners: puiterwijk
Branches: f18 f19 f20 el6
InitialCC:
Comment 8 Patrick Uiterwijk 2013-12-04 02:43:56 EST
New Package SCM Request
=======================
Package Name: python-scss
Short Description: Scss compiler for Python
Owners: puiterwijk
Branches: f18 f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-12-04 08:41:15 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-12-05 11:23:41 EST
python-scss-1.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-scss-1.2.0-2.fc19
Comment 11 Fedora Update System 2013-12-05 11:23:55 EST
python-scss-1.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-scss-1.2.0-2.fc20
Comment 12 Fedora Update System 2013-12-05 11:24:10 EST
python-scss-1.2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-scss-1.2.0-2.fc18
Comment 13 Fedora Update System 2013-12-05 16:27:16 EST
python-scss-1.2.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-01-10 02:46:44 EST
python-scss-1.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-01-10 02:58:08 EST
python-scss-1.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2014-01-10 03:01:07 EST
python-scss-1.2.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.